Bug 165950 - Unexpected error: VFS: Busy inodes after unmount. Self-destruct in 5 seconds.
Unexpected error: VFS: Busy inodes after unmount. Self-destruct in 5 seconds.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-15 04:19 EDT by Don Howard
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-551
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 09:19:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Howard 2005-08-15 04:19:59 EDT
+++ This bug was initially created as a clone of Bug #124600 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007

Description of problem:
We are currently seeing the following error messages appearing in the
RHEL 3.0 system logs (/var/log/messages):

kernel: VFS: Busy inodes after unmount. Self-destruct in 5 seconds. 
Have a nice day...

These error messages appear to be related to automount unmounts; they
appear to always be immediately preceded or followed by an automount
expiration. E.g.:

May 18 02:26:50 mm2dev15 kernel: VFS: Busy inodes after unmount.
Self-destruct in 5 seconds.  Have a nice day...
May 18 02:26:50 mm2dev15 automount[27846]: expired /usr/prod/viewstore118

-or-

May 14 09:51:29 mm2dev11 automount[12358]: expired /usr/test/phxscfm4
May 14 09:51:29 mm2dev11 automount[12358]: expired /usr/test/labspt
May 14 09:51:29 mm2dev11 automount[12358]: expired /usr/test/land25
May 14 09:51:29 mm2dev11 kernel: VFS: Busy inodes after unmount.
Self-destruct in 5 seconds.  Have a nice day...
May 14 09:51:29 mm2dev11 automount[12358]: expired /usr/test/ldbuomc3
May 14 09:51:29 mm2dev11 automount[12358]: expired /usr/test/fstest
May 14 09:51:29 mm2dev11 automount[12358]: expired /usr/test/ftwbtsrq

Further, we have turned off automount expirations on several systems
(via '--timeout 0') and these error messages appear to go away when we
do so.

(We are experiencing unexplained system instability in our RHEL 3.0-U1
systems and are trying to track down and resolve any unexpected error
messages that may be contributing to this instability.)

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Configure and turn on the automounter
2. Automount file systems
3. Wait for those automounts to expire; sometimes this error message
will accompany it
    

Additional info:

The following may be a useful/related reference:

http://groups.google.com/groups?q=%22Previously+anonymous+dentries+were+hashed%22&hl=en&lr=&ie=UTF-8&selm=nfs-valinux.15186.9973.696326.885764%40notabene.cse.unsw.edu.au&rnum=1
Comment 1 Don Howard 2005-08-15 04:21:04 EDT
Placeholder for derry version of Bug #124600
Comment 3 Red Hat Bugzilla 2005-08-25 09:19:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-551.html

Note You need to log in before you can comment on or make changes to this bug.